Loading...
Searching...
No Matches
caf::response_type< Ts, Xs > Struct Template Reference

Defines: More...

## Detailed Description

template<class Ts, class... Xs>
struct caf::response_type< Ts, Xs >

Defines:

- valid if typedefs are set, can be used to check if actors accept input
- type list of output types or message for dynamically typed actors
- delegated_type type above wrapped in a delegated
- tuple_type output types wrapped in a std::tuple or message

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/response_type.hpp